package figuras;

import java.awt.Graphics;
import java.awt.Image;
import java.awt.Point;
import java.awt.image.BufferedImage;

import oyentes.OyentesCargarFigura;

public class Imagen extends FiguraPadre{

	private String direccion;
	private int alto;
	private int ancho;
	private BufferedImage imagen;
	
	
	public Imagen(Point comienzo, Point fin) {
		super();
		this.comienzo = comienzo;
		this.fin = fin;
		imagen=OyentesCargarFigura.LeerImagen();
		alto=imagen.getHeight();
		ancho=imagen.getWidth();
		System.out.println("intento crear figura 1");
	}

	public Imagen(Point comienzo, Point fin, boolean n) {
		super();
		this.comienzo = comienzo;
		this.fin = fin;
		System.out.println("intento crear figura 2");
		
	}


	public String getDireccion() {
		return direccion;
	}



	public void setDireccion(String direccion) {
		this.direccion = direccion;
		
		}



	public int getAlto() {
		return alto;
	}



	public void setAlto(int alto) {
		this.alto = alto;
	}



	public int getAncho() {
		return ancho;
	}



	public void setAncho(int ancho) {
		this.ancho = ancho;
	}
	
	public void dibujarFigura(Graphics g) {
		
		g.drawImage(imagen, comienzo.x, comienzo.y, ancho, alto, null);
	}
	
	
	public FiguraPadre crear(Point comienzo, Point fin) {
		return new Imagen(comienzo, fin);
	}
	
	public boolean busqueda(int x, int y) {
		boolean lH = false; // lado Horizonal
		boolean lV = false; // lado Vertical
		if (((comienzo.x - delta) < x) && ((comienzo.x + delta + ancho) > x)) {
			lH = true;
		}
		if (((comienzo.y - delta) < y) && ((comienzo.y + delta + alto) > y)) {
			lV = true;
		}
		return ((lH) && (lV));
	}
	public void actualizarPos(Point punto){
		comienzo=punto;	
	}
	
}
