
package oyentes;

import java.awt.Component;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;
import java.util.ArrayList;
import java.util.concurrent.ConcurrentHashMap;

import javax.swing.JFrame;

import acciones.AccionesPermitidas;

import opcionesFiguras.OpcionesFiguras;

import lienzo.Lienzo;
import lienzo.JPanPersonal;

import figuras.Circulo;
import figuras.Cuadrado;
import figuras.FiguraPadre;

public class OyentesDibujar {
	private OpcionesFiguras figuras;
	private FiguraPadre ultimoFigura;
	private String nombreUltimaFigura;
	private ArrayList<FiguraPadre> figurasEnCurso;
	private JPanPersonal jPanPersonal;
	private AccionesPermitidas AccAct;
	private String accion="Crear";
	


	public void setNombreUltimaFigura(String nombreUltimaFigura) {
		this.nombreUltimaFigura = nombreUltimaFigura;
	}

	public OyentesDibujar(OpcionesFiguras figuras,String nombreUltimaFigura, JPanPersonal jPanPersonal, AccionesPermitidas AccAct) {
		super();
		this.AccAct=AccAct;
		this.nombreUltimaFigura=nombreUltimaFigura;
		this.figuras = figuras;
		this.jPanPersonal=jPanPersonal;
	}

	public class OyenteDibujarClicked extends MouseAdapter{
    	
    	public void mousePressed(MouseEvent e) {
    		if(AccAct.getAccAct()==accion){
    			
    		//System.out.println(e.isMetaDown());
    		/*
    		if(e.isMetaDown()){
    		System.out.println("cambia de oyente a 3");
    		
    		//lienzo1.removeMouseMotionListener(uno);
    		uno = new OyenteDibujarTres();
    		//lienzo1.addMouseMotionListener(uno);
    	}
    	*/
    	/*
    	if(e.isAltDown()){
    		System.out.println("cambia de oyente a 1");
    		//lienzo1.removeMouseMotionListener(uno);
    		uno = new OyenteDibujar();
    		//lienzo1.addMouseMotionListener(uno);
    	}
    	*/
    	//ultimoCuadrado= new Cuadrado(e.getPoint(),e.getPoint());
    		
    		figurasEnCurso=((ArrayList<FiguraPadre>) figuras.getFiguras().get(nombreUltimaFigura));
    		ultimoFigura= figurasEnCurso.get(figurasEnCurso.size()-1).crear(e.getPoint(), e.getPoint());
    		ultimoFigura.setjPanel(jPanPersonal);
    		figurasEnCurso.add(ultimoFigura);
    		}
		}

    	public void mouseReleased(MouseEvent e) {
    		if(AccAct.getAccAct()==accion){
    			
    		ultimoFigura.setjPanel(jPanPersonal);
    		ultimoFigura.setFin(e.getPoint());
    		if(ultimoFigura.muyPequeo()){
    			figurasEnCurso.remove(ultimoFigura);
    		}
    		jPanPersonal.repaint();
    		}
    	}
    }
    
    public class OyenteDibujarMovimiento extends MouseMotionAdapter {

    	
        @Override
        public void mouseDragged(MouseEvent e) {
        	if(AccAct.getAccAct()==accion){
    			
        		figurasEnCurso=((ArrayList<FiguraPadre>) figuras.getFiguras().get(nombreUltimaFigura));
        	((FiguraPadre) figurasEnCurso.get(figurasEnCurso.size()-1)).setjPanel(jPanPersonal);
        	((FiguraPadre) figurasEnCurso.get(figurasEnCurso.size()-1)).setFin(e.getPoint());
        	jPanPersonal.repaint();
        	//para dibujar los puntos
        /* 	n = (n + 1) % MAX;
            puntos[n] = e.getPoint();
           // colores[n] = panelColores.getColor();
            lienzo1.repaint();
        */
        	}
        }
		
        public void mouseMoved(MouseEvent e) {
      	
        }
    }
	
}

