package oyentes;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;
import java.util.ArrayList;

import acciones.AccionesPermitidas;

import opcionesFiguras.OpcionesFiguras;

import lienzo.JPanPersonal;

import figuras.FiguraPadre;

public class OyentesMover {
	private OpcionesFiguras figuras;
	private ArrayList<FiguraPadre> figCreadas; //Figuras creadas
	private JPanPersonal jPanPersonal;
	private FiguraPadre figSelec; //Figura Seleccionada
	private int numeroEncontradas=0;
	private AccionesPermitidas AccAct;
	private String accion="Mover";
	boolean exisFig=false;
	
	
	
	public OyentesMover(OpcionesFiguras figuras, JPanPersonal jPanPersonal, AccionesPermitidas AccAct) {
		super();
		this.AccAct=AccAct;
		this.figuras = figuras;
		this.jPanPersonal = jPanPersonal;
	}




	public class OyenteMoverClicked extends MouseAdapter {

		
		
		public void mousePressed(MouseEvent e) {
			if(AccAct.getAccAct()==accion){
			int tam=figuras.getFiguras().size();
			int i=0;
			int j=0;
			exisFig=false;
			figSelec=null;
			while(!(exisFig) &&(i<tam)){
				figCreadas=(ArrayList<FiguraPadre>) figuras.getFiguras().get(figuras.getNombreFiguras(i));
				i++;
				j=0;
				while((!(exisFig) &&(j<figCreadas.size()-1))){
					j++;
					if(figCreadas.get(j).busqueda(e.getX(), e.getY())){
						exisFig=true;
						figSelec=figCreadas.get(j);
						numeroEncontradas++;
					}
					
					
				}
				
			}
			}
		}

		public void mouseReleased(MouseEvent e) {
			
		}
	}

		public class OyenteMoverMovimiento extends MouseMotionAdapter {

			@Override
			public void mouseDragged(MouseEvent e) {
				if((AccAct.getAccAct()==accion)&&(exisFig)){
					//System.out.println("intentando mover el objeto");
				figSelec.actualizarPos(e.getPoint());
				jPanPersonal.repaint();
				}
				}

			public void mouseMoved(MouseEvent e) {

			}
		}

	
}
