package visual;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;

import javax.swing.JLabel;
import java.awt.Rectangle;
import javax.swing.JTextPane;

public class Acerca extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JPanel info = null;
	private JLabel Creador = null;
	private JLabel nombre = null;
	private JLabel libreria = null;
	private JLabel PDFBox = null;
	private JTextPane textCopy = null;

	/**
	 * This is the default constructor
	 */
	public Acerca() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(430, 222);
		this.setContentPane(getJContentPane());
		this.setTitle("JFrame");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.add(getInfo(), BorderLayout.CENTER);
		}
		return jContentPane;
	}

	/**
	 * This method initializes info	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getInfo() {
		if (info == null) {
			PDFBox = new JLabel();
			PDFBox.setBounds(new Rectangle(166, 112, 52, 16));
			PDFBox.setText("PDFBox");
			libreria = new JLabel();
			libreria.setBounds(new Rectangle(154, 83, 81, 22));
			libreria.setText("Libreria PDF:");
			nombre = new JLabel();
			nombre.setBounds(new Rectangle(161, 51, 68, 20));
			nombre.setText("NICEARMA");
			Creador = new JLabel();
			Creador.setBounds(new Rectangle(108, 11, 171, 30));
			Creador.setText("Creador de la interfaz grafica:");
			info = new JPanel();
			info.setLayout(null);
			info.add(Creador, null);
			info.add(nombre, null);
			info.add(libreria, null);
			info.add(PDFBox, null);
			info.add(getTextCopy(), null);
		}
		return info;
	}

	/**
	 * This method initializes textCopy	
	 * 	
	 * @return javax.swing.JTextPane	
	 */
	private JTextPane getTextCopy() {
		if (textCopy == null) {
			textCopy = new JTextPane();
			textCopy.setBounds(new Rectangle(49, 138, 300, 32));
			textCopy.setText("Todo");
		}
		return textCopy;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
