package figuras;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Point;
import java.awt.Rectangle;
import javax.swing.JTextField;



public class Escritura extends FiguraPadre {
	private JTextField jTextField;
	private int alt;
	private int ancho;

	public Escritura(Point comienzo, Point fin) {
		this.comienzo = comienzo;
		this.fin = fin;
		jTextField = new JTextField();
		jTextField.setForeground(Color.BLACK);
		calcularAltoAncho();
		jTextField.setBounds(new Rectangle(comienzo.x, comienzo.y, ancho, alt));

	}

	private void calcularAltoAncho() {
		this.alt = this.fin.y - this.comienzo.y;
		this.ancho = this.fin.x - this.comienzo.x;
	}

	public void setFin(Point fin) {
		this.fin = fin;
		RectanguloFin();
		jTextField.setText("Nicolas es bonito ");
		jPanel.add(jTextField);
	}

	public void RectanguloFin() {
		calcularAltoAncho();
		jTextField.setSize(new Dimension(ancho, alt));
	}

	public FiguraPadre crear(Point comienzo, Point fin) {
		return new Escritura(comienzo, fin);
	}


	public boolean busqueda(int x, int y) {
		boolean lH = false; // lado Horizonal
		boolean lV = false; // lado Vertical
		if (((comienzo.x - delta) < x) && ((comienzo.x + delta + ancho) > x)) {
			lH = true;
		}
		if (((comienzo.y - delta) < y) && ((comienzo.y + delta + alt) > y)) {
			lV = true;
		}
		return ((lH) && (lV));
	}
	public boolean muyPequeo(){
		if(((fin.x-comienzo.x)<delta)||((fin.y-comienzo.y)<delta)){
			return true;
		}
		return false;
	}
	public void actualizarPos(Point punto){
		System.out.println("entro aqui");
		comienzo=punto;	
		jTextField.setBounds(punto.x, punto.y, ancho, alt);
		//jTextField.setSize(punto.x, punto.y);
	}

}
