package opcionesFiguras;

import java.awt.Point;
import java.util.ArrayList;
import java.util.concurrent.ConcurrentHashMap;
import figuras.*;
public class OpcionesFiguras {
	private String[] nombreFiguras={ "Circulo","Cuadrado","Escritura", "Imagenes"};
	private ConcurrentHashMap figuras= new ConcurrentHashMap();
	
	public OpcionesFiguras(){
		ArrayList<Circulo> circulos= new ArrayList<Circulo>();
		figuras.put(nombreFiguras[0],circulos);
		circulos.add(new Circulo(new Point(0,0),new Point(0,0)));
		ArrayList<Cuadrado> cuadrados = new ArrayList<Cuadrado>();
		figuras.put(nombreFiguras[1],cuadrados);
		cuadrados.add(new Cuadrado(new Point(0,0),new Point(0,0)));
		ArrayList<Escritura> escritura = new ArrayList<Escritura>();
		figuras.put(nombreFiguras[2],escritura);
		escritura.add(new Escritura(new Point(0,0),new Point(0,0)));
		ArrayList<Imagen> imagenes = new ArrayList<Imagen>();
		figuras.put(nombreFiguras[3],imagenes);
		imagenes.add(new Imagen(new Point(0,0),new Point(0,0), false));
	}

	public String getNombreFiguras(int i) {
		return nombreFiguras[i];
	}

	public void setNombreFiguras(String[] nombreFiguras) {
		this.nombreFiguras = nombreFiguras;
	}

	public ConcurrentHashMap getFiguras() {
		return figuras;
	}

	public void setFiguras(ConcurrentHashMap figuras) {
		this.figuras = figuras;
	}
	
	
}
